All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class StructureOfDataItem

    com.sas.iquery.metadata.business.StructureOfDataItem

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    @SASScope(value="ALL")
    @SubjectToChange
    public class StructureOfDataItem

Specifies the different types of data item structures. The structure of the DataItem helps to define many important aspects of the DataItem, such as how it used, what kind of expressions it might be built on, and which methods are applicable.

See Also:
  `DataItem`

Field Summary
`static StructureOfDataItem` | `STRUCTURE_CALCULATED_MEMBER` The STRUCTURE_CALCULATED_MEMBER type indicates this DataItem can be categorized as a Member.
`static StructureOfDataItem` | `STRUCTURE_COLUMN` The STRUCTURE_COLUMN type indicates this DataItem can be categorized as a Column.
`static StructureOfDataItem` | `STRUCTURE_DIMENSION` The STRUCTURE_DIMENSION type indicates this DataItem can be categorized as a Dimension.
`static StructureOfDataItem` | `STRUCTURE_HIERARCHY` The STRUCTURE_HIERARCHY type indicates this DataItem can be categorized as a Hierarchy.
`static StructureOfDataItem` | `STRUCTURE_LEVEL` The STRUCTURE_LEVEL type indicates this DataItem can be categorized as a Level.
`static StructureOfDataItem` | `STRUCTURE_MEASURE` The STRUCTURE_MEASURE type indicates this DataItem can be categorized as a Measure.
`static StructureOfDataItem` | `STRUCTURE_NAMED_SET` The STRUCTURE_NAMED_SET type indicates this DataItem can be categorized as a Set.

Method Summary
`boolean` | `isOLAP()` Returns a boolean value that indicates whether the structure is OLAP-oriented.

Field Detail

*** This field is subject to change. ***

### STRUCTURE_COLUMN

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_COLUMN

  The STRUCTURE_COLUMN type indicates this DataItem can be categorized as a Column.

*** This field is subject to change. ***

### STRUCTURE_DIMENSION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_DIMENSION

  The STRUCTURE_DIMENSION type indicates this DataItem can be categorized as a Dimension.

*** This field is subject to change. ***

### STRUCTURE_HIERARCHY

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_HIERARCHY

  The STRUCTURE_HIERARCHY type indicates this DataItem can be categorized as a Hierarchy.

*** This field is subject to change. ***

### STRUCTURE_LEVEL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_LEVEL

  The STRUCTURE_LEVEL type indicates this DataItem can be categorized as a Level.

*** This field is subject to change. ***

### STRUCTURE_MEASURE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_MEASURE

  The STRUCTURE_MEASURE type indicates this DataItem can be categorized as a Measure.

*** This field is subject to change. ***

### STRUCTURE_CALCULATED_MEMBER

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_CALCULATED_MEMBER

  The STRUCTURE_CALCULATED_MEMBER type indicates this DataItem can be categorized as a Member.

*** This field is subject to change. ***

### STRUCTURE_NAMED_SET

    @SASScope(value="ALL")
    @SubjectToChange
    public static final StructureOfDataItem STRUCTURE_NAMED_SET

  The STRUCTURE_NAMED_SET type indicates this DataItem can be categorized as a Set.

Method Detail

*** This method is subject to change. ***

### isOLAP

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isOLAP()

  Returns a boolean value that indicates whether the structure is OLAP-oriented.

  Returns:
    an indication if this value is OLAP-oriented

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.